summaryrefslogtreecommitdiff
path: root/src/testing/test_merchant_order_creation.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-07-23 15:50:50 +0200
committerChristian Grothoff <christian@grothoff.org>2021-07-23 15:50:55 +0200
commitd5b2b639dab3074307bbfdbd58627bb3253163ab (patch)
tree4593658007fdcd183dca5eae1c1ae3c9a9d77543 /src/testing/test_merchant_order_creation.sh
parentc18b472503af52f84c8fa054fc79b6d18698087c (diff)
downloadmerchant-d5b2b639dab3074307bbfdbd58627bb3253163ab.tar.gz
merchant-d5b2b639dab3074307bbfdbd58627bb3253163ab.tar.bz2
merchant-d5b2b639dab3074307bbfdbd58627bb3253163ab.zip
-fix get order logic
Diffstat (limited to 'src/testing/test_merchant_order_creation.sh')
-rwxr-xr-xsrc/testing/test_merchant_order_creation.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/src/testing/test_merchant_order_creation.sh b/src/testing/test_merchant_order_creation.sh
index 6e772b81..3fa1459c 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -76,8 +76,13 @@ TOKEN=`jq -r .token < $LAST_RESPONSE`
if [ "$TOKEN" != "null" ]
then
echo 'token should be null, got:' $TOKEN
+ exit 1
fi
+echo OK
+
+echo -n "Checking created order without TOKEN..."
+
STATUS=$(curl http://localhost:9966/orders/$ORDER_ID \
-w "%{http_code}" -s -o $LAST_RESPONSE)